Commit
Info
Änderung: 516:991207903759
Nutzer: Arne Babenhauserheide <bab@draketo.de>
Datum: Sat Sep 03 11:35:04 2011 +0200
Zusammenfassung: schliff
parselog.sh | 21 +++++++++++----------
1 Dateien verändert, 11 Zeilen hinzugefügt(+), 10 Zeilen entfernt(-)
--- a59/parselog.sh 2012-04-15 11:51:43.894733450 +0200
+++ b59/parselog.sh 2012-04-15 11:51:43.898066818 +0200
@@ -29,13 +29,14 @@ cat commits/templates/file_foot.html >>
## {date|shortdate}: <a href='http://bitbucket.org/ArneBab/raumzeit-heft_1/changeset/{node|short}'>{desc|strip|fill68|firstline}</a>\n\n\n\n{desc|escape}\n\n" >> log.txt
Diff
diff --git a/parselog.sh b/parselog.sh
--- a/parselog.sh
+++ b/parselog.sh
@@ -29,13 +29,14 @@ cat commits/templates/file_foot.html >>
## {date|shortdate}: <a href='http://bitbucket.org/ArneBab/raumzeit-heft_1/changeset/{node|short}'>{desc|strip|fill68|firstline}</a>\n\n\n\n{desc|escape}\n\n" >> log.txt
-# mkdir -p commits
-# for i in $(hg log --template "{node} "); do
-# if ! [ -e commits/$i.html ]; then
-# cat commits/templates/file_head.html > commits/$i.html
-# echo "<h1>Commit</h1><pre style='white-space: pre-wrap'>" >> commits/$i.html
-# hg export $i >> commits/$i.html
-# echo "</pre>" >> commits/$i.html
-# cat commits/templates/file_foot.html >> commits/$i.html
-# fi
-# done
+mkdir -p commits
+for i in $(hg log --template "{node} "); do
+ if ! [ -e commits/$i.html ]; then
+ cat commits/templates/file_head.html > commits/$i.html
+ echo "<h1>Commit</h1><pre style='white-space: pre-wrap'>" >> commits/$i.html
+ hg export $i >> commits/$i.html
+ echo "</pre>" >> commits/$i.html
+ echo "<p><a href='index.html'>Alle Änderungen</a></p>" >> commits/$i.html
+ cat commits/templates/file_foot.html >> commits/$i.html
+ fi
+done
Full export
# HG changeset patch
# User Arne Babenhauserheide <bab@draketo.de>
# Date 1315042504 -7200
# Node ID 991207903759b510b0d15b7593c7c35fbae763b3
# Parent 7467c702f2591929fd126481fda5e7cdb103a1da
schliff
diff --git a/parselog.sh b/parselog.sh
--- a/parselog.sh
+++ b/parselog.sh
@@ -29,13 +29,14 @@ cat commits/templates/file_foot.html >>
## {date|shortdate}: <a href='http://bitbucket.org/ArneBab/raumzeit-heft_1/changeset/{node|short}'>{desc|strip|fill68|firstline}</a>\n\n\n\n{desc|escape}\n\n" >> log.txt
-# mkdir -p commits
-# for i in $(hg log --template "{node} "); do
-# if ! [ -e commits/$i.html ]; then
-# cat commits/templates/file_head.html > commits/$i.html
-# echo "<h1>Commit</h1><pre style='white-space: pre-wrap'>" >> commits/$i.html
-# hg export $i >> commits/$i.html
-# echo "</pre>" >> commits/$i.html
-# cat commits/templates/file_foot.html >> commits/$i.html
-# fi
-# done
+mkdir -p commits
+for i in $(hg log --template "{node} "); do
+ if ! [ -e commits/$i.html ]; then
+ cat commits/templates/file_head.html > commits/$i.html
+ echo "<h1>Commit</h1><pre style='white-space: pre-wrap'>" >> commits/$i.html
+ hg export $i >> commits/$i.html
+ echo "</pre>" >> commits/$i.html
+ echo "<p><a href='index.html'>Alle Änderungen</a></p>" >> commits/$i.html
+ cat commits/templates/file_foot.html >> commits/$i.html
+ fi
+done
Alle Änderungen